{% extends 'layouts/base.html' %}

{% block title %} Registered Users {% endblock %}

{% block body %}
<div class="row flex-lg-row flex-column mt-2">
    <div class="d-flex col-lg-12 col-md-12 col-sm-12 px-2 justify-content-center">
        <div class="card col-lg-3 col-md-6 col-sm-12 mt-5">
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr class="bg-primary text-light text-center">
                            <th>Username</th>
                            <th>Type</th>
                        </tr>
                    </thead>
                    <tbody class="text-center">
                        {% for account in accounts %}
                        <tr>
                            <td>
                                {{ account.username }}
                            </td>
                            <td>
                                {% if account.isAdmin %}
                                <span class="badge rounded-pill bg-primary">Admin</span>
                                {% else %}
                                <span class="badge rounded-pill bg-secondary">Standard</span>
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %}